#if !defined(_SEModule_h_inc_)
#define _SEModule_h_inc_

#include "E:\SDK2_SE_R\SEModule_base.h"
#include <stdio.h> // files

class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback2 seaudioMaster, void *p_resvd1);
	~Module();

	static bool getModuleProperties (SEModuleProperties* properties); 
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	void SE_CALLING_CONVENTION sub_process(long buffer_offset, long sampleFrames );
	void OnPlugStateChange(SEPin *pin);
	virtual void OnMidiData( unsigned long p_clock, unsigned long midi_msg, short pin_id);
	void open();
    //ralphs
    void diag(char * melde);
    void loadArray();
	void doaway();
private:
    float *input1_buffer;
	float *input2_buffer;
    float *input3_buffer;
	float *input4_buffer;
	float *input5_buffer;

	float *output1_buffer;
	float *output2_buffer;
	
	short playto;
    char *text_input;
	bool admin;
	int b2;

#define PN_SIG    0
#define PN_REC    1
#define PN_PLAY   2
#define PN_DEL    3
#define PN_GATE   4
#define PN_PLAYTO 5
#define PN_FILE   6
#define PN_ADMIN  7
#define PN_COUNT  8
#define PN_OUT    9


#define MAX_FILENAME_LENGTH 400
char full_path[MAX_FILENAME_LENGTH];
char swav_filename[MAX_FILENAME_LENGTH];
char path[MAX_FILENAME_LENGTH];
char text_filename[MAX_FILENAME_LENGTH];
char text[400];


errno_t err;// = -1;
errno_t err2;// = -1;
FILE *swavfileout;//  = NULL;
FILE *textfile;// = NULL;
float * tak_float;// = NULL;

state_type in_stat;
int count, taki, last_take , flang;
bool REC , PLAY , wasrec , DEL , wasok  , didload , GATEOFF , GATE;
int playTO;
float fsam, fpit;


struct LL
{
char thisSEM[100];
};
struct BB
{
	char buffer[1000];
};




};
#endif
